Add SVMs to Storage Array
Adds selected SVMs to the specified storage array mapping. Path parameter arrayId is authoritative at WebServer ingress. If request body clusterArray.id differs from path arrayId, WebServer overwrites clusterArray.id with path arrayId before forwarding. Operation supports partial success with per-SVM result details.
Path Parameters
- arrayId int32 required
- application/json
Request Body
Request to add one or more addable SVMs to the specified storage array.
clusterArray object required
Parent cluster array reference. WebServer enforces path arrayId as source of truth and normalizes clusterArray.id accordingly.
id int32name stringsvms object[] required
uniqueIdentifier stringSVM unique identifier.
arrayName string requiredSVM name.
ipSpace stringSVM IPSpace.
Responses
- 200
- 400
- 403
- 404
- 500
OK
- application/json
- Schema
- Example (from schema)
Schema
error object
errorMessage stringerrorCode int32results object[]
uniqueIdentifier stringarrayName stringarrayId int32DB id of the created or existing mapped SVM array.
errorCode int32errorMessage string
{
"error": {
"errorMessage": "string",
"errorCode": 0
},
"results": [
{
"uniqueIdentifier": "string",
"arrayName": "string",
"arrayId": 0,
"errorCode": 0,
"errorMessage": "string"
}
]
}
Bad Request
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Forbidden
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Not Found
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Internal Server Error
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Loading...